Bug 427217 - Highlighting is turned on by default in conf.pl
Highlighting is turned on by default in conf.pl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 05:37 EST by Tomas
Modified: 2009-03-18 15:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4.17-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 15:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas 2008-01-02 05:37:37 EST
Description of problem:
Default config.php used by Fedora has $config_use_color set to 1. It enables use
of highlighting in configuration utility. Highlighting does not work correctly
in default Gnome Terminal color settings.

Version-Release number of selected component (if applicable):
Checked squirrelmail-1.4.11-1.fc8.noarch.rpm

How reproducible:
Try using conf.pl when gnome terminal is set to use system colors and colors are
turned on in conf.pl.

Actual results:
Commands and some menu elements are not visible.

Expected results:
Commands and menu element should be visible or highlighted.
Comment 1 Tomas 2008-01-02 05:44:13 EST
Noticed one more thing. Issue can be fixed in conf.pl without changing
$config_use_color value
Comment 2 Bug Zapper 2008-11-26 04:15:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:40:51 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Tomas 2009-01-09 01:27:48 EST
Issue is still present in squirrelmail-1.4.16-1.fc10.noarch.rpm
Comment 5 Michal Hlavinka 2009-03-17 07:31:43 EDT
fixed in squirrelmail-1.4.17-3.fc10
fixed in squirrelmail-1.4.17-5.fc11

it's brought some question (sm mailing list):
http://www.nabble.com/Origin-of-outdated-contrib-RPM---td22557158.html

note: if you want to test this you need to (remove and) do fresh install because config files are not replaced during update.
Comment 6 Fedora Update System 2009-03-17 07:38:12 EDT
squirrelmail-1.4.17-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.17-3.fc10
Comment 7 Tomas 2009-03-17 08:39:21 EDT
(In reply to comment #5)
> fixed in squirrelmail-1.4.17-3.fc10
> fixed in squirrelmail-1.4.17-5.fc11
> 
> it's brought some question (sm mailing list):
> http://www.nabble.com/Origin-of-outdated-contrib-RPM---td22557158.html
> 
> note: if you want to test this you need to (remove and) do fresh install
> because config files are not replaced during update.  

Correct solution is to fix ANSI sequences in conf.pl

It does not require changes in config files
Comment 8 Michal Hlavinka 2009-03-17 09:08:03 EDT
(In reply to comment #7)
> Correct solution is to fix ANSI sequences in conf.pl
> 
> It does not require changes in config files  

In conf.pl I can do two things:

1) disable colors - remove if ($config_use_color...
but this would brake "Turn color on/off" in conf.pl menu

2) change color
but change it to what? There is classic terminal, terminal in gnome, terminal in kde (with different default color in KDE 4.2), xfce,... I don't know what color I should use to make it readable everywhere... ?
Comment 9 Michal Hlavinka 2009-03-17 09:09:27 EDT
and maybe there are some users with black&white monitors in server room?
Comment 10 Tomas 2009-03-17 09:27:29 EDT
conf.pl has hardcoded ANSI white escape sequence. $WHT = "\x1B[37;1m";

$WHT = "\x1B[1m"; can provide enough highlighting and it does not depend on terminal's color schema.
Comment 11 Michal Hlavinka 2009-03-17 10:51:07 EDT
(In reply to comment #10)
> conf.pl has hardcoded ANSI white escape sequence. $WHT = "\x1B[37;1m";
> 
> $WHT = "\x1B[1m"; can provide enough highlighting and it does not depend on
> terminal's color schema.  

Ok, it seems to work in most cases (in some color schemas it's highlighted but you need a lot of imagination).

I'll ask upstream for this change. If they accept it, I'll use it, otherwise I'll use config_use_color=0. Modified config file seems to me less invasive than source code modification and menu highlighting doesn't seem to be mission critical :)
Comment 12 Michal Hlavinka 2009-03-17 11:35:47 EDT
(In reply to comment #11)
> ...
> I'll ask upstream for this change. ...


http://www.nabble.com/Highlighting-in-conf.pl-is-unreadable-with-some-terminal-color-schemas-td22561797.html
Comment 13 Michal Hlavinka 2009-03-18 05:50:26 EDT
wow, that was pretty fast...

used this patch:
http://squirrelmail.svn.sourceforge.net/squirrelmail/?rev=13436&view=rev

fixed in
squirrelmail-1.4.17-4.fc10
squirrelmail-1.4.17-7.fc11

btw, do you want co-maintain fedora package? :o)
Comment 14 Fedora Update System 2009-03-18 05:52:30 EDT
squirrelmail-1.4.17-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.17-4.fc10
Comment 15 Tomas 2009-03-18 08:30:51 EDT
(In reply to comment #13)
> btw, do you want co-maintain fedora package? :o)  

I am not a SquirrelMail developer. I was SquirrelMail developer n years ago, I know the code, but I run own forked version of SquirrelMail.
Comment 16 Fedora Update System 2009-03-18 15:11:16 EDT
squirrelmail-1.4.17-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.